using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ParticulateSensorRecords
{
    public class AirData
    {
        public DateTime Date { get; set; }
        public int Particulate { get; set; }
        public double Temperature { get; set; }
        public double Huminity { get; set; }

        public AirData()
        {

        }

        // Constructor to set values
        public AirData(DateTime date, int particulate, double temperature, double huminity)
        {
            this.Date = date;
            this.Particulate = particulate;
            this.Temperature = temperature;
            this.Huminity = huminity;
        }

        public DateTime GetDate()
        {
            return this.Date;           
        }

        // Override ToString method
        public override string ToString()
        {
            return "Date: " + this.Date.ToShortDateString() + ", " + "Particulate: " 
                + this.Particulate + ", " + "Temperature: " + this.Temperature + ", " + "Humidity: " + this.Huminity;
            ;
        }
    }
}
